OpenNMS API 1.2.9

## org.opennms.report.availability
Class AvailabilityReport

    java.lang.Object
      org.opennms.report.availability.AvailabilityReport

public class AvailabilityReport
extends java.lang.Object

AvailabilityReport generates the Availability report in pdf format

Author:
  Jacinta Remedios , Oculan

Field Summary
`private org.apache.log4j.Category` `log`
`private static java.lang.String` `LOG4J_CATEGORY` The log4j category used to log debug messsages and statements.
`private Report` `m_report` Castor object that holds all the information required for the generating xml to be translated to the pdf.
`private static java.lang.String` `MONTH_FORMAT_CLASSIC`
`static java.lang.String[]` `months` String of Months

Constructor Summary
`AvailabilityReport(java.lang.String author, java.lang.String startMonth, java.lang.String startDate, java.lang.String startYear)` Default constructor

Method Summary
`void` `generatePDF(java.lang.String pdfFileName, java.io.OutputStream out, java.lang.String format)` Generate PDF from castor classes.
`static void` `generateReport(java.lang.String logourl, java.lang.String categoryName, java.lang.String format, java.lang.String monthFormat, java.lang.String startMonth, java.lang.String startDate, java.lang.String startYear)`
`void` `getReportData(java.lang.String logourl, java.lang.String categoryName, java.lang.String reportFormat, java.lang.String monthFormat, java.lang.String startMonth, java.lang.String startDate, java.lang.String startYear)` This when invoked generates the data into report castor classes.
`static void` `main(java.lang.String[] args)` Main method
`void` `marshalReport()` This when invoked marshalls the report XML from the castor classes.
`void` `populateReport(java.lang.String logourl, java.lang.String categoryName, java.lang.String reportFormat, java.lang.String monthFormat, java.lang.String startMonth, java.lang.String startDate, java.lang.String startYear)` This when invoked populates the castor classes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The log4j category used to log debug messsages and statements.

  See Also:
    Constant Field Values

### MONTH_FORMAT_CLASSIC

    private static final java.lang.String MONTH_FORMAT_CLASSIC

See Also:
  Constant Field Values

### m_report

    private Report m_report

  Castor object that holds all the information required for the generating xml to be translated to the pdf.

### log

    private org.apache.log4j.Category log

### months

    public static java.lang.String[] months

  String of Months

Constructor Detail

### AvailabilityReport

    public AvailabilityReport(java.lang.String author,
                              java.lang.String startMonth,
                              java.lang.String startDate,
                              java.lang.String startYear)

  Default constructor

Method Detail

### getReportData

    public void getReportData(java.lang.String logourl,
                              java.lang.String categoryName,
                              java.lang.String reportFormat,
                              java.lang.String monthFormat,
                              java.lang.String startMonth,
                              java.lang.String startDate,
                              java.lang.String startYear)

  This when invoked generates the data into report castor classes.

  Parameters:
    `logourl` - location of the logo to be displayed on the report
    `categoryName` - of the logo to be displayed on the report
    `reportFormat` - Report Format ("SVG" / all)
    `monthFormat` - Format for month data ("classic"/"calendar")

### populateReport

    public void populateReport(java.lang.String logourl,
                               java.lang.String categoryName,
                               java.lang.String reportFormat,
                               java.lang.String monthFormat,
                               java.lang.String startMonth,
                               java.lang.String startDate,
                               java.lang.String startYear)

  This when invoked populates the castor classes.

  Parameters:
    `logourl` - location of the logo to be displayed on the report
    `categoryName` - of the logo to be displayed on the report
    `reportFormat` - Report Format ("SVG" / all)
    `monthFormat` - Format for month data ("classic"/"calendar")

### marshalReport

    public void marshalReport()
                       throws org.exolab.castor.xml.ValidationException,
                              org.exolab.castor.xml.MarshalException,
                              java.io.IOException,
                              java.lang.Exception

  This when invoked marshalls the report XML from the castor classes.

  Throws:
    `org.exolab.castor.xml.ValidationException`
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`
    `java.lang.Exception`

### generatePDF

    public void generatePDF(java.lang.String pdfFileName,
                            java.io.OutputStream out,
                            java.lang.String format)
                     throws java.lang.Exception

  Generate PDF from castor classes.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

  Main method

### generateReport

    public static void generateReport(java.lang.String logourl,
                                      java.lang.String categoryName,
                                      java.lang.String format,
                                      java.lang.String monthFormat,
                                      java.lang.String startMonth,
                                      java.lang.String startDate,
                                      java.lang.String startYear)
                               throws java.lang.Exception

  Parameters:
    `logourl` -
    `categoryName` -
    `format` -
  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.